Page MenuHomePhabricator

[Format] Don't sort includes if DisableFormat is true
ClosedPublic

Authored by njames93 on Apr 30 2021, 6:58 AM.

Details

Summary

Fixes https://llvm.org/PR35099.

I'm not sure if this decision was intentional but its definitely confusing for users.

Diff Detail

Event Timeline

njames93 requested review of this revision.Apr 30 2021, 6:58 AM
njames93 created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptApr 30 2021, 6:58 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
MyDeveloperDay accepted this revision.May 3 2021, 5:31 AM

I've seen this asked for multiple time, I think this is fine.

This revision is now accepted and ready to land.May 3 2021, 5:31 AM
HazardyKnusperkeks added a project: Restricted Project.

Jep, that would also confuse myself.

Is it testable?

Is it testable?

I guess it would be, gimme a few to have a look at format unittests and I'll rustle up a quick test.

njames93 updated this revision to Diff 342778.May 4 2021, 9:34 AM

Add test case demonstrating new behvaiour.

curdeius accepted this revision.May 4 2021, 10:26 AM

LGTM. Thanks!

This revision was automatically updated to reflect the committed changes.